Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.anim
Enum OdfColorInterpolationDirectionType

    java.lang.Object
      java.lang.Enum<OdfColorInterpolationDirectionType>
          org.odftoolkit.odfdom.dom.type.anim.OdfColorInterpolationDirectionType

All Implemented Interfaces:
  Serializable, Comparable<OdfColorInterpolationDirectionType>

    public enum OdfColorInterpolationDirectionType

extends Enum<OdfColorInterpolationDirectionType>

DOM implementation of OpenDocument attribute anim:color-interpolation-direction.

Enum Constant Summary
`CLOCKWISE`
`COUNTER_CLOCKWISE`

Method Summary
`static OdfColorInterpolationDirectionType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfColorInterpolationDirectionType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfColorInterpolationDirectionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfColorInterpolationDirectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COUNTER_CLOCKWISE

    public static final OdfColorInterpolationDirectionType COUNTER_CLOCKWISE

### CLOCKWISE

    public static final OdfColorInterpolationDirectionType CLOCKWISE

Method Detail

### values

    public static OdfColorInterpolationDirectionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfColorInterpolationDirectionType c : OdfColorInterpolationDirectionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfColorInterpolationDirectionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfColorInterpolationDirectionType>`
  Returns:
    return the name of OdfColorInterpolationDirectionType

### toString

    public static String toString(OdfColorInterpolationDirectionType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfColorInterpolationDirectionType, see anim:color-interpolation-direction
  Returns:
    return the name of OdfColorInterpolationDirectionType

### enumValueOf

    public static OdfColorInterpolationDirectionType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfColorInterpolationDirectionType
  Returns:
    return the constant of OdfColorInterpolationDirectionType, see anim:color-interpolation-direction

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.